Package twisted :: Package protocols :: Module sip :: Class IRegistry |
[frames | no frames]

## Class IRegistry

    Interface --+
                |
               IRegistry

Allows registration of logical->physical URL mapping.

Method Summary
| ``getRegistrationInfo`(self, logicalURL)` Get registration info for logical URL.
| ``registerAddress`(self, domainURL, logicalURL, physicalURL)` Register the physical address of a logical URL.
| ``unregisterAddress`(self, domainURL, logicalURL, physicalURL)` Unregister the physical address of a logical URL.

Method Details

### getRegistrationInfo(self, logicalURL) Get registration info for logical URL. Returns: Deferred of `Registration` object or failure of LookupError.

### registerAddress(self, domainURL, logicalURL, physicalURL) Register the physical address of a logical URL. Returns: Deferred of `Registration` or failure with RegistrationError.

### unregisterAddress(self, domainURL, logicalURL, physicalURL) Unregister the physical address of a logical URL. Returns: Deferred of `Registration` or failure with RegistrationError.

Generated by Epydoc 2.0 on Sat Oct 25 00:54:43 2003 | http://epydoc.sf.net